<?php

namespace Fazed\NyaaRssParser\Contracts\Models;

interface EntryContract
{
    /**
     * @return string
     */
    public function getTitle();

    /**
     * @param  string $title
     * @return $this
     */
    public function setTitle($title);

    /**
     * @return string
     */
    public function getDescription();

    /**
     * @param  string $description
     * @return $this
     */
    public function setDescription($description);

    /**
     * @return string
     */
    public function getLink();

    /**
     * @param  string $link
     * @return $this
     */
    public function setLink($link);

    /**
     * @return string
     */
    public function getGuid();

    /**
     * @param  string $guid
     * @return $this
     */
    public function setGuid($guid);

    /**
     * @return string
     */
    public function getPubDate();

    /**
     * @param  string $pubDate
     * @return $this
     */
    public function setPubDate($pubDate);

    /**
     * @return int
     */
    public function getSeeders();

    /**
     * @param  int $seeders
     * @return $this
     */
    public function setSeeders($seeders);

    /**
     * @return int
     */
    public function getLeechers();

    /**
     * @param  int $leechers
     * @return $this
     */
    public function setLeechers($leechers);

    /**
     * @return int
     */
    public function getDownloads();

    /**
     * @param  int $downloads
     * @return $this
     */
    public function setDownloads($downloads);

    /**
     * @return string
     */
    public function getInfoHash();

    /**
     * @param  string $infoHash
     * @return $this
     */
    public function setInfoHash($infoHash);

    /**
     * @return string
     */
    public function getCategoryId();

    /**
     * @param  string $categoryId
     * @return $this
     */
    public function setCategoryId($categoryId);

    /**
     * @return string
     */
    public function getCategory();

    /**
     * @param  string $category
     * @return $this
     */
    public function setCategory($category);

    /**
     * @return string
     */
    public function getSize();

    /**
     * @param  string $size
     * @return $this
     */
    public function setSize($size);
}
