<?php

namespace Fazed\NyaaRssParser\Contracts\HttpClient;

use Fazed\NyaaRssParser\Contracts\Models\EntryContract;

interface ResponseContract
{
    /**
     * Get all entries on the instance.
     *
     * @return EntryContract[]
     */
    public function getEntries();

    /**
     * Set the entries on the instance.
     *
     * @param  EntryContract[] $entries
     * @return $this
     */
    public function setEntries($entries);

    /**
     * Get the number of entries on the instance.
     *
     * @return int
     */
    public function getEntryCount();
}
